﻿@{
    Layout = "~/Views/Shared/Layout/_Layout.cshtml";
    ViewData["Title"] = ViewData["Title"];
    ViewData["PageParentName"] = ViewData["PageParentName"];
    ViewData["PageName"] = ViewData["PageName"];
}
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using CMS.Core.Domain.Projects
@model List<Projects>

<div class="row clearfix">
    @await Html.PartialAsync("_SearchFunc")
    <div class="col-lg-12 col-md-12">
        <div class="card">
            <div class="body project_report">
                <div class="table-responsive">
                    <table class="table table-hover js-basic-example dataTable table-custom m-b-0">
                        <thead>
                            <tr>
                                <th>Project</th>
                                <th>Deadline</th>
                                <th>Tiến độ</th>
                                <th>Lead</th>
                                <th>Team</th>
                                <th>Tình trạng</th>
                                <th>Thao tác</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var item in Model)
                            {

                                string htmlstatus = "";
                                string processbarhtml = "";
                                switch (item.Status)
                                {
                                    case 0:
                                        {
                                            htmlstatus = "<span class='badge badge-danger'>Close</span>";
                                            processbarhtml = "progress-bar-danger";
                                        }; break;
                                    case 1:
                                        {
                                            htmlstatus = "<span class='badge badge-success'>Active</span>";
                                            processbarhtml = "progress-bar-success";
                                        }; break;
                                    case 2:
                                        {
                                            htmlstatus = "<span class='badge badge-warning'>Pending</span>";
                                            processbarhtml = "progress-bar-warning";
                                        }; break;
                                    case 3:
                                        {
                                            htmlstatus = "<span class='badge badge-default'>Inactive</span>";
                                        }; break;
                                }
                                <tr>
                                    <td class="project-title">
                                        <h6>@item.Name</h6>
                                        <small>Created @item.CreateDate.Value.ToString("dd MMM, yyyy")</small>
                                    </td>
                                    <td>@item.EndDate.Value.ToString("dd MMM, yyyy")</td>
                                    <td>
                                        <div class="progress progress-xs">
                                            <div class="progress-bar @processbarhtml" role="progressbar" aria-valuenow="48" aria-valuemin="0" aria-valuemax="100" style="width: @item.Process%;"></div>
                                        </div>
                                        <small>Completion with: @item.Process%</small>
                                    </td>
                                    <td>
                                        <img src="~/lib/assets/images/xs/avatar1.jpg" data-toggle="tooltip" data-placement="top" title="Team Lead" alt="Avatar" class="width35 rounded">
                                    </td>
                                    <td>
                                        <ul class="list-unstyled team-info">
                                            @{
                                                if (item.Teams.Count() > 0)
                                                {
                                                    foreach (var team in item.Teams)
                                                    {
                                                        <li><img src="~/lib/assets/images/xs/avatar1.jpg" data-toggle="tooltip" data-placement="top" title="Avatar"></li> 
                                                    }
                                                }
                                            }
                                        </ul>
                                    </td>
                                    <td>
                                        @Html.Raw(htmlstatus)
                                    </td>
                                    <td class="project-actions">
                                        <a asp-action="Review" asp-controller="Project" asp-area="Manager" asp-route-id="@item.ID"  class="btn btn-sm btn-outline-primary" ><i class="icon-eye"></i></a>
                                        <a asp-action="Edit" asp-controller="Project" asp-area="Manager" asp-route-id="@item.ID"   class="btn btn-sm btn-outline-success"><i class="icon-pencil"></i></a>
                                        <a href="javascript:void(0);" class="btn btn-sm btn-outline-danger js-sweetalert" title="Delete" data-type="confirm"><i class="icon-trash"></i></a>
                                    </td>
                                </tr>
                            }

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>


@section css{
    <link rel="stylesheet" href="~/admin/css/ladda.min.css" />
    <link rel="stylesheet" href="~/lib/vendor/sweetalert/sweetalert.css">
    <link rel="stylesheet" href="~/lib/vendor/bootstrap-tagsinput/bootstrap-tagsinput.css">
    <link rel="stylesheet" href="~/lib/vendor/multi-select/css/multi-select.css">
    <link rel="stylesheet" href="~/lib/vendor/jquery-datatable/dataTables.bootstrap4.min.css">
    <link rel="stylesheet" href="~/lib/vendor/bootstrap-datepicker/css/bootstrap-datepicker3.min.css">
    <style>
        .project_report h6 {
            font-weight: bold;
        }

        .project-title small {
            font-size: 11px;
        }

        .table td, .table th {
            font-size: 13px;
        }
    </style>
}
@section Scripts {
    <!-- Page javascript -->
    <script src="~/admin/js/ladda.min.js"></script>
    <script src="~/lib/vendor/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script>
    <script src="~/js/manager/base.js"></script>
    <script src="~/lib/assets/js/widgets/bootstrapnotify/bootstrap-notify.js"></script>
    <script src="~/lib/assets/bundles/datatablescripts.bundle.js"></script>
    <script src="~/lib/assets/js/pages/tables/jquery-datatable.js"></script>
    <script src="~/lib/vendor/sweetalert/sweetalert.min.js"></script>
    <script src="~/lib/assets/js/pages/ui/dialogs.js"></script>
    <script src="~/lib/vendor/multi-select/js/jquery.multi-select.js"></script> <!-- Multi Select Plugin Js -->
    <script src="~/lib/ckeditor/ckeditor.js"></script>

    <script>
        $('#multiselect3-all').multiselect();
    </script>
}

